
Name:    libmygpo-qt
Summary: Qt Library that wraps the gpodder.net Web API
Version: 1.0.4
Release: 1%{?dist}

License: LGPLv2+
Url:     http://wiki.gpodder.org/wiki/Libmygpo-qt
Source0: http://stefan.derkits.at/files/libmygpo-qt/libmygpo-qt.%{version}.tar.gz

## upstreamable patches

BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  qjson-devel
BuildRequires:  qt4-devel
 
%description
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API,
http://wiki.gpodder.org/wiki/Web_Services/API_2
 
%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt4-devel
%description devel
%{summary}.

 
%prep
%setup -q -n libmygpo-qt


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%check
make test -C %{_target_platform}

 
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS LICENSE README 
%{_libdir}/libmygpo-qt.so.1*
 
%files devel
%{_includedir}/mygpo-qt/
%{_libdir}/libmygpo-qt.so
%{_libdir}/pkgconfig/libmygpo-qt.pc
 
 
%changelog
* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 1.0.4-1
- 1.0.4

* Mon May 23 2011 Rex Dieter <rdieter@fedoraproject.org> 1.0.3-1
- 1.0.3

* Fri May 20 2011 Rex Dieter <rdieter@fedoraproject.org> 1.0.2-2
- drop kde deps/macros, this is a qt-only library

* Tue May 10 2011 Rex Dieter <rdieter@fedoraproject.org> 1.0.2-1
- 1.0.2 first try


